Vagrant.configure("2") do |config|
    config.vm.box = "ubuntu/focal64"
    config.vm.network 'forwarded_port', guest: 5000, host: 5000

    config.vm.provision "ansible" do |ansible|
      ansible.galaxy_role_file = 'requirements.yml'
      ansible.playbook = "playbook.local.yml"
      # https://rtfm.co.ua/ansible-ispolzovanie-vault-zashifrovannogo-xranilishha/
      # ansible.vault_password_file = "~/.ansible_pass.txt"
      ansible.extra_vars = {
        ansible_python_interpreter:"/usr/bin/python3",
        # allow_world_readable_tmpfiles:true
      }
    end
  end
